package net.minecraft.src.forestry.api;

import java.util.ArrayList;

public class BoilerPackage {
	public final BoilerFactory factory;
	public final String itemName;
	public final String gfxBase;
	public final ArrayList<CraftingRecipe> recipes = new ArrayList<CraftingRecipe>();
	
	public BoilerPackage(BoilerFactory factory, String itemName, String gfxBase)
	{
		this.factory = factory;
		this.itemName = itemName;
		this.gfxBase = gfxBase;
	}
	
	public BoilerPackage(BoilerFactory factory, String itemName, String gfxBase, CraftingRecipe recipe)
	{
		this(factory, itemName, gfxBase);
		recipes.add(recipe);
	}
	
	public BoilerPackage(BoilerFactory factory, String itemName, String gfxBase, CraftingRecipe[] recipes)
	{
		this(factory, itemName, gfxBase);
		for(CraftingRecipe recipe : recipes)
			this.recipes.add(recipe);
	}
}
