package net.minecraft.src.forestry.api;

import java.util.HashMap;

import net.minecraft.src.EntityPlayer;
import net.minecraft.src.IInventory;

public abstract class Planter {

	public int validSoilId; // Id of block or item that can be used to create the ground to plant on
	public int validGroundId; // Id of block that can be planted on
	public String gfxBase;
	private HashMap<Integer, Germling> validGermlingsBySeedId = new HashMap<Integer, Germling>(); // Ids of valid items/blocks to use for planting, keyed by seedid;  
	private HashMap<Integer, Germling> validGermlingsByCropId = new HashMap<Integer, Germling>(); // Ids of valid items/blocks to use for planting, keyed by cropid.

	public StructureBlueprint site;
	public Vect siteOffset;
	public StructureBlueprint soil;
	public Vect soilOffset;
	public StructureBlueprint plantation;
	public Vect plantationOffset;
	
	public abstract void openGui(EntityPlayer player, IInventory tile);
	
	protected void putGermling(Germling germling)
	{
		validGermlingsBySeedId.put(germling.seedId, germling);
		validGermlingsByCropId.put(germling.cropId, germling);
	}
	
	public boolean hasGermlingBySeedId(int id)
	{
		return validGermlingsBySeedId.containsKey(id);
	}
	
	public boolean hasGermlingByCropId(int id)
	{
		return validGermlingsByCropId.containsKey(id);
	}
	
	public int getCropIdBySeedId(int id)
	{
		Germling germling = validGermlingsBySeedId.get(id);
		return germling.cropId;
	}
}
