package net.minecraft.src.forestry.api;

import java.util.ArrayList;

public class PlanterPackage {
	public final PlanterFactory factory;
	public final String itemName;
	public final String gfxBase;
	
	public final StructureBlueprint area;
	public final StructureBlueprint soil;
	public final StructureBlueprint plantation;
	
	public final ArrayList<CraftingRecipe> recipes = new ArrayList<CraftingRecipe>();
	
	public PlanterPackage(PlanterFactory factory, String itemName, String gfxBase, StructureBlueprint area, StructureBlueprint soil, StructureBlueprint plantation)
	{
		this.factory = factory;
		this.itemName = itemName;
		this.gfxBase = gfxBase;
		
		this.area = area;
		this.soil = soil;
		this.plantation = plantation;
	}
	
	public PlanterPackage(PlanterFactory factory, String itemName, String gfxBase, StructureBlueprint area, StructureBlueprint soil, StructureBlueprint plantation, CraftingRecipe recipe)
	{
		this(factory, itemName, gfxBase, area, soil, plantation);
		recipes.add(recipe);
	}
	
	public PlanterPackage(PlanterFactory factory, String itemName, String gfxBase, StructureBlueprint area, StructureBlueprint soil, StructureBlueprint plantation, CraftingRecipe[] recipes)
	{
		this(factory, itemName, gfxBase, area, soil, plantation);
		for(CraftingRecipe recipe : recipes)
			this.recipes.add(recipe);
	}
}
